## ros-interactive-markers 1.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(interactive_markers)
find_package(catkin REQUIRED 
  rosconsole
  roscpp
  rospy
  rostest
  std_msgs
  tf
  visualization_msgs
)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES interactive_markers
  CATKIN_DEPENDS roscpp rosconsole rospy tf visualization_msgs
)
catkin_python_setup()

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} 
src/interactive_marker_server.cpp
src/tools.cpp
src/menu_handler.cpp
src/interactive_marker_client.cpp
src/single_client.cpp
src/message_context.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/interactive_markers/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

# C++ Unit Tests
#
if(GTEST_FOUND)
  include_directories(${GTEST_INCLUDE_DIRS})

  add_executable(server_test EXCLUDE_FROM_ALL src/test/server_test.cpp)
  target_link_libraries(server_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_dependencies(tests server_test)
  add_rostest(test/cpp_server.test)

  add_executable(client_test EXCLUDE_FROM_ALL src/test/client_test.cpp)
  target_link_libraries(client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_dependencies(tests client_test)
  add_rostest(test/cpp_client.test)

  add_executable(server_client_test EXCLUDE_FROM_ALL src/test/server_client_test.cpp)
  target_link_libraries(server_client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_dependencies(tests server_client_test)
  add_rostest(test/cpp_server_client.test)
endif()

# Test program to simulate Interactive Marker with missing tf information
add_executable(bursty_tf EXCLUDE_FROM_ALL src/test/bursty_tf.cpp)
target_link_libraries(bursty_tf ${PROJECT_NAME})
add_dependencies(tests bursty_tf)

# Test program to simulate Interactive Marker with wrong tf information
add_executable(missing_tf EXCLUDE_FROM_ALL src/test/missing_tf.cpp)
target_link_libraries(missing_tf ${PROJECT_NAME})
add_dependencies(tests missing_tf)

=== debian/changelog ===
ros-interactive-markers (1.11.1-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:10:32 +0100

ros-interactive-markers (1.11.1-1) unstable; urgency=medium

  * Initial release (Closes: #806279)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 00:47:52 +0000

=== debian/control ===
Source: ros-interactive-markers
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), librosconsole-dev, libroscpp-dev, python-rospy, librostest-dev, libstd-msgs-dev, libtf-dev, libvisualization-msgs-dev, python-all, dh-python
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/interactive_markers
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-interactive-markers.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-interactive-markers.git

Package: libinteractive-markers-dev
Section: libdevel
Architecture: any
Depends: libinteractive-markers0d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libroscpp-dev, python-rospy, librostest-dev, libstd-msgs-dev, libtf-dev, libvisualization-msgs-dev
Description: Robot OS interactive_markers package - development files
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the development files.

Package: libinteractive-markers0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS interactive_markers package
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the library itself.

Package: python-interactive-markers
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Robot OS interactive_markers python package 
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools. 
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --buildsystem=cmake --with python2

# test suite is broken atm.
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-interactive-markers 1.11.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,14 +55,14 @@
   target_link_libraries(server_client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
   add_dependencies(tests server_client_test)
   add_rostest(test/cpp_server_client.test)
+
+  # Test program to simulate Interactive Marker with missing tf information
+  add_executable(bursty_tf EXCLUDE_FROM_ALL src/test/bursty_tf.cpp)
+  target_link_libraries(bursty_tf ${PROJECT_NAME})
+  add_dependencies(tests bursty_tf)
+
+  # Test program to simulate Interactive Marker with wrong tf information
+  add_executable(missing_tf EXCLUDE_FROM_ALL src/test/missing_tf.cpp)
+  target_link_libraries(missing_tf ${PROJECT_NAME})
+  add_dependencies(tests missing_tf)
 endif()
-
-# Test program to simulate Interactive Marker with missing tf information
-add_executable(bursty_tf EXCLUDE_FROM_ALL src/test/bursty_tf.cpp)
-target_link_libraries(bursty_tf ${PROJECT_NAME})
-add_dependencies(tests bursty_tf)
-
-# Test program to simulate Interactive Marker with wrong tf information
-add_executable(missing_tf EXCLUDE_FROM_ALL src/test/missing_tf.cpp)
-target_link_libraries(missing_tf ${PROJECT_NAME})
-add_dependencies(tests missing_tf)

=== debian/changelog ===
ros-interactive-markers (1.11.3-1build2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:41:27 +0000

ros-interactive-markers (1.11.3-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:06:22 +0000

ros-interactive-markers (1.11.3-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.11.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 11:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ros-interactive-markers
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), librosconsole-dev, libroscpp-dev, python-rospy, librostest-dev, libstd-msgs-dev, libtf-dev, libvisualization-msgs-dev, python-all, dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://wiki.ros.org/interactive_markers
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-interactive-markers.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-interactive-markers.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-interactive-markers.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-interactive-markers.git
 
 Package: libinteractive-markers-dev
 Section: libdevel

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/interactive_markers-$1\.tar\.gz/ \
  https://github.com/ros-visualization/interactive_markers/releases .*/v?(\d\S*)\.tar\.gz

## ros-interactive-markers 1.11.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 # C++ Unit Tests
 #
-if(GTEST_FOUND)
+if(CATKIN_ENABLE_TESTING)
   include_directories(${GTEST_INCLUDE_DIRS})
 
   add_executable(server_test EXCLUDE_FROM_ALL src/test/server_test.cpp)

=== debian/changelog ===
ros-interactive-markers (1.11.4-3build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 11:03:04 +0000

ros-interactive-markers (1.11.4-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:26:41 +0100

ros-interactive-markers (1.11.4-3) unstable; urgency=medium

  * Add versioned build-dep on rospy for cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 10:02:20 +0200

ros-interactive-markers (1.11.4-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938382)
  * Fix python3 depends
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch
  * add Salsa CI
  * add MA hint
  * Restrict d/watch to ROS 1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Oct 2019 06:38:41 +0200

ros-interactive-markers (1.11.4-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * add Multi-Arch according to hinter

  [ Leopold Palomo-Avellaneda ]
  * Drop wrong option in control

  [ Jochen Sprickerhof ]
  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.11.4
  * Bump policy and debhelper versions
  * Bump Soname due to ABI change
  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 11:49:47 +0100

=== debian/control ===
Source: ros-interactive-markers
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, libroscpp-dev, python3-rospy (>= 1.14.3+ds1-7), librostest-dev, libstd-msgs-dev, libtf-dev, libvisualization-msgs-dev, python3-all, dh-python,
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/interactive_markers
Vcs-Browser: https://salsa.debian.org/science-team/ros-interactive-markers
Vcs-Git: https://salsa.debian.org/science-team/ros-interactive-markers.git

Package: libinteractive-markers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libinteractive-markers1d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libroscpp-dev, python3-rospy, librostest-dev, libstd-msgs-dev, libtf-dev, libvisualization-msgs-dev
Description: Robot OS interactive_markers package - development files
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the development files.

Package: libinteractive-markers1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS interactive_markers package
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the library itself.

Package: python3-interactive-markers
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Robot OS interactive_markers - Python 3 package
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --buildsystem=cmake --with python3

# test suite is broken atm.
override_dh_auto_test:

## ros-interactive-markers 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(interactive_markers)
 find_package(catkin REQUIRED 
   rosconsole
@@ -6,13 +6,14 @@
   rospy
   rostest
   std_msgs
-  tf
+  tf2_ros
+  tf2_geometry_msgs
   visualization_msgs
 )
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES interactive_markers
-  CATKIN_DEPENDS roscpp rosconsole rospy tf visualization_msgs
+  CATKIN_DEPENDS roscpp rosconsole rospy tf2_ros std_msgs visualization_msgs
 )
 catkin_python_setup()
 
@@ -29,12 +30,20 @@
 
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
 
+# Causes the visibility macros to use dllexport rather than dllimport,
+# which is appropriate when building the dll but not consuming it.
+target_compile_definitions(${PROJECT_NAME}
+  PRIVATE "INTERACTIVE_MARKERS_BUILDING_LIBRARY")
+
 install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
+  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 install(DIRECTORY include/interactive_markers/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
-  FILES_MATCHING PATTERN "*.h")
+  FILES_MATCHING
+  PATTERN "*.h"
+  PATTERN "*.hpp")
 
 # C++ Unit Tests
 #

=== debian/changelog ===
ros-interactive-markers (1.12.0-8) unstable; urgency=medium

  * Fix tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 18:32:11 +0200

ros-interactive-markers (1.12.0-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:03 +0200

ros-interactive-markers (1.12.0-6) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 23:16:36 +0200

ros-interactive-markers (1.12.0-5) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:51:29 +0100

ros-interactive-markers (1.12.0-4) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 13:05:30 +0100

ros-interactive-markers (1.12.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 09:05:27 +0200

ros-interactive-markers (1.12.0-2) experimental; urgency=medium

  * Set ROS_IP for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 10:02:52 +0200

ros-interactive-markers (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump policy and debhelper versions
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 15:37:58 +0200

=== debian/control ===
Source: ros-interactive-markers
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), librosconsole-dev, libroscpp-dev, python3-rospy (>= 1.14.3+ds1-7), librostest-dev, libstd-msgs-dev, libtf2-dev, libtf2-ros-dev, libvisualization-msgs-dev, python3-all, dh-sequence-python3, python3-rostest, libgtest-dev, python3-nose <!nocheck>
Standards-Version: 4.6.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/interactive_markers
Vcs-Browser: https://salsa.debian.org/science-team/ros-interactive-markers
Vcs-Git: https://salsa.debian.org/science-team/ros-interactive-markers.git

Package: libinteractive-markers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libinteractive-markers2d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libroscpp-dev, python3-rospy, librostest-dev, libstd-msgs-dev, libtf2-dev, libtf2-ros-dev, libvisualization-msgs-dev
Description: Robot OS interactive_markers package - development files
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the development files.

Package: libinteractive-markers2d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS interactive_markers package
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the library itself.

Package: python3-interactive-markers
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Robot OS interactive_markers - Python 3 package
 This package is part of Robot OS (ROS). It is a 3D interactive marker
 communication library for RViz and similar tools.
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Needed for unit tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-interactive-markers-$1.tar.gz%" \
    https://github.com/ros-visualization/interactive_markers/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
